/* Linky Map */

.mCSB_inside * {
  font-family: 'Ancizar Sans' !important;
  }

.mCSB_inside h2 {
  color: var(--sppb-lichen) !important;
  font-style: italic;
}

.sidebarhtmllinkymap {
  padding-left: 24px;
}

@media(max-width: 768px) {
  .sidebarhtmllinkymap {
    padding-left: 0px;
    margin-top: 24px !important;
    max-height: 250px !important;
  }
}

/*accordéons faq*/

.accordeon .sppb-panel-body {
  background-color: var(--sppb-cotton-40);
  border-radius: 0 0 25px 25px;
}

.accordeon .sppb-panel-heading[aria-expanded="true"] {
  border-radius: 25px 25px 0 0 !important;
}

.accordeon .sppb-panel-heading[aria-expanded="false"] {
  border-radius: 25px !important;
}

/*** icones nombres ***/
/* =========================
   BASE COMMUNE (VERT + BEIGE)
========================= */

.nb-vert .fa-0,
.nb-vert .fa-1,
.nb-vert .fa-2,
.nb-vert .fa-3,
.nb-vert .fa-4,
.nb-vert .fa-5,
.nb-vert .fa-6,
.nb-vert .fa-7,
.nb-vert .fa-8,
.nb-vert .fa-9,

.nb-beige .fa-0,
.nb-beige .fa-1,
.nb-beige .fa-2,
.nb-beige .fa-3,
.nb-beige .fa-4,
.nb-beige .fa-5,
.nb-beige .fa-6,
.nb-beige .fa-7,
.nb-beige .fa-8,
.nb-beige .fa-9 {
  font-size: 0 !important;
  position: relative;
  width: 20px;
  height: 20px;
  display: inline-block;
  margin-top: 2px;
}

/* =========================
   STYLE ICÔNE COMMUN
========================= */

.nb-vert .fa-0::before,
.nb-vert .fa-1::before,
.nb-vert .fa-2::before,
.nb-vert .fa-3::before,
.nb-vert .fa-4::before,
.nb-vert .fa-5::before,
.nb-vert .fa-6::before,
.nb-vert .fa-7::before,
.nb-vert .fa-8::before,
.nb-vert .fa-9::before,

.nb-beige .fa-0::before,
.nb-beige .fa-1::before,
.nb-beige .fa-2::before,
.nb-beige .fa-3::before,
.nb-beige .fa-4::before,
.nb-beige .fa-5::before,
.nb-beige .fa-6::before,
.nb-beige .fa-7::before,
.nb-beige .fa-8::before,
.nb-beige .fa-9::before {
  content: "";
  position: absolute;
  inset: 0;

  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;

  padding: 2px;
  border-radius: 999px;
}

/* =========================
   BACKGROUND THEMES
========================= */

.nb-vert .fa-0::before,
.nb-vert .fa-1::before,
.nb-vert .fa-2::before,
.nb-vert .fa-3::before,
.nb-vert .fa-4::before,
.nb-vert .fa-5::before,
.nb-vert .fa-6::before,
.nb-vert .fa-7::before,
.nb-vert .fa-8::before,
.nb-vert .fa-9::before {
  background-color: var(--sppb-lichen-40);
}

.nb-beige .fa-0::before,
.nb-beige .fa-1::before,
.nb-beige .fa-2::before,
.nb-beige .fa-3::before,
.nb-beige .fa-4::before,
.nb-beige .fa-5::before,
.nb-beige .fa-6::before,
.nb-beige .fa-7::before,
.nb-beige .fa-8::before,
.nb-beige .fa-9::before {
  background-color: var(--sppb-cotton);
}

/* =========================
   SVG MAPPING (VERT + BEIGE IDENTIQUE)
========================= */

.nb-vert .fa-0::before,
.nb-beige .fa-0::before { background-image: url("/files/2026/05/26/property-10.svg"); }

.nb-vert .fa-1::before,
.nb-beige .fa-1::before { background-image: url("/files/2026/05/26/property-11.svg"); }

.nb-vert .fa-2::before,
.nb-beige .fa-2::before { background-image: url("/files/2026/05/26/property-12.svg"); }

.nb-vert .fa-3::before,
.nb-beige .fa-3::before { background-image: url("/files/2026/05/26/property-13.svg"); }

.nb-vert .fa-4::before,
.nb-beige .fa-4::before { background-image: url("/files/2026/05/26/property-14.svg"); }

.nb-vert .fa-5::before,
.nb-beige .fa-5::before { background-image: url("/files/2026/05/26/property-15.svg"); }

.nb-vert .fa-6::before,
.nb-beige .fa-6::before { background-image: url("/files/2026/05/26/property-16.svg"); }

.nb-vert .fa-7::before,
.nb-beige .fa-7::before { background-image: url("/files/2026/05/26/property-17.svg"); }

.nb-vert .fa-8::before,
.nb-beige .fa-8::before { background-image: url("/files/2026/05/26/property-18.svg"); }

.nb-vert .fa-9::before,
.nb-beige .fa-9::before { background-image: url("/files/2026/05/26/property-19.svg"); }

/**/


/* icones liste à puce */

.liste-puce-fleur p {
  position: relative;
  padding-left: 23px;
}

.liste-puce-fleur p::before {
  content: "";
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);

  width: 18px;
  height: 18px;

  background: url("/files/2026/05/26/puce-fleur.svg") center / contain no-repeat;
}

/*icones pissenlits déco*/

/* pissenlit simple tourné vers la gauche, à gauche du texte*/

.pissenlit-gauche-gauche .sppb-addon-title {
  display: flex !important;
  align-items: center;
  justify-content: center;
}

.pissenlit-gauche-gauche .sppb-addon-title::before {
  content: "";
  display: inline-block;
  width: 20px;
  height: 20px;
  margin-right: 5px;
  background-image: url("/files/2026/05/28/pissenlit-gauche.svg");
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
}

/* pissenlit simple tourné vers la droite, à gauche du texte*/

.pissenlit-droite-gauche .sppb-addon-title {
  display: flex !important;
  align-items: center;
  justify-content: center;
}

.pissenlit-droite-gauche .sppb-addon-title::before {
  content: "";
  display: inline-block;
  width: 20px;
  height: 20px;
  margin-right: 5px;
  background-image: url("/files/2026/05/28/pissenlit-gauche.svg");
  transform: scaleX(-1);
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
}

/* pissenlit bouquet1 (3 brins distincts) tourné vers la droite, à droite du texte*/

.bouquet1-droite-droite .sppb-addon-title {
  display: flex !important;
  align-items: center;
  justify-content: center;
}

.bouquet1-droite-droite .sppb-addon-title::after {
  content: "";
  display: inline-block;
  width: 20px;
  height: 24px;
  margin-left: 7px;
  background-image: url("/files/2026/05/28/bouquet1-droite.svg");
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
}

/* pissenlit bouquet1 (3 brins distincts) tourné vers la gauche, à droite du texte*/

.bouquet1-gauche-droite .sppb-addon-title {
  display: flex !important;
  align-items: center;
  justify-content: center;
}

.bouquet1-gauche-droite .sppb-addon-title::after {
  content: "";
  display: inline-block;
  width: 20px;
  height: 24px;
  margin-left: 7px;
  background-image: url("/files/2026/05/28/bouquet1-droite.svg");
  transform: scaleX(-1);
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
}

/* pissenlit bouquet2 (3 brins collés) tourné vers la gauche, à droite du texte*/

.bouquet2-gauche-droite .sppb-addon-title {
  display: flex !important;
  align-items: center;
  justify-content: center;
}

.bouquet2-gauche-droite .sppb-addon-title::after {
  content: "";
  display: inline-block;
  width: 20px;
  height: 24px;
  margin-left: 7px;
  background-image: url("/files/2026/05/28/bouquet2-gauche.svg");
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
}

/* pissenlit bouquet2 (3 brins collés) tourné vers la droite, à droite du texte*/

.bouquet2-droite-droite .sppb-addon-title {
  display: flex !important;
  align-items: center;
  justify-content: center;
}

.bouquet2-droite-droite .sppb-addon-title::after {
  content: "";
  display: inline-block;
  width: 20px;
  height: 24px;
  margin-left: 7px;
  background-image: url("/files/2026/05/28/bouquet2-gauche.svg");
  transform: scaleX(-1);
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
}

/* séparateurs vagues*/
/*forme du haut*/

.wave-top {
    position: relative;
    overflow: hidden;
}

.wave-top::before {
    content: "";
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);

    width: 100vw;
    height: 91.5px;

    background-image: url("/files/2026/05/26/wave-btm.svg");
    background-position: center top;
    background-repeat: no-repeat;
    background-size: auto 91.5px;

    z-index: 2;
    pointer-events: none;
}

/*séparateur*/
.wave-sepa {
    position: relative;
    overflow: hidden;
}

.wave-sepa::before {
    content: "";
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);

    width: 100vw;
    height: 65px;

    background-image: url("/files/2026/05/28/separateur-vague.png");
    background-position: center;
    background-repeat: no-repeat;
    background-size: auto 65px;

    z-index: 2;
    pointer-events: none;
}

/*forme du bas*/

.wave-bottom {
    position: relative;
    overflow: hidden;
}

.wave-bottom::before {
    content: "";
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%) scaleY(-1);

    width: 100vw;
    height: 91.5px;

    background-image: url("/files/2026/05/26/wave-btm.svg");
    background-position: center top;
    background-repeat: no-repeat;
    background-size: auto 91.5px;

    z-index: 2;
    pointer-events: none;
}

/* séparateurs bosses*/
/*forme du haut*/

.bosses-top {
    position: relative;
    overflow: hidden;
}

.bosses-top::before {
    content: "";
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);

    width: 100vw;
    height: 55px;

    background-image: url("/files/2026/05/28/bosses-top.svg");
    background-position: center bottom;
    background-repeat: no-repeat;
    background-size: auto 55px;

    z-index: 2;
    pointer-events: none;
}

/*forme du bas*/

.bosses-bottom {
    position: relative;
    overflow: hidden;
}

.bosses-bottom::before {
    content: "";
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%) scaleY(-1);

    width: 100vw;
    height: 55px;

    background-image: url("/files/2026/05/28/bosses-top.svg");
    background-position: center top;
    background-repeat: no-repeat;
    background-size: auto 55px;

    z-index: 2;
    pointer-events: none;
}

/*** boutons ***/

.btn-noir .sppb-btn,
.btn-noir-focus,
#btn-17797983632010,
#btn-mdBuEOzzjLIvm224gO3z11,
#btn-jll--9xBS3pBPZeOLtRDJ1,
#btn-KtvSMMPqjUmz_BKGACVZR1,
#btn-ek2kSn6QKlkzo7X14dkG11 {
    font-family: 'Ancizar Sans' !important;
    font-style: italic !important;
    font-weight: 500 !important;
    font-size: 20px !important;
    color: var(--sppb-cotton) !important;
    background-color: var(--sppb-charbon) !important;
    border-radius: 999px !important;
    padding: 14px !important;
    border: none !important;
  }

.btn-noir .sppb-btn:hover,
.btn-noir-focus:hover,
#btn-17797983632010:hover,
#btn-mdBuEOzzjLIvm224gO3z11:hover,
#btn-jll--9xBS3pBPZeOLtRDJ1:hover,
#btn-KtvSMMPqjUmz_BKGACVZR1:hover,
#btn-ek2kSn6QKlkzo7X14dkG11:hover{
   transform: translateY(-3px);
    box-shadow: 0 10px 30px rgba(0,0,0,.15);
    background: var(--sppb-charbon);
}

.btn-noir .sppb-btn:hover::after,
.btn-noir-focus:hover::after,
#btn-17797983632010:hover::after,
#btn-mdBuEOzzjLIvm224gO3z11:hover::after,
#btn-jll--9xBS3pBPZeOLtRDJ1:hover::after,
#btn-KtvSMMPqjUmz_BKGACVZR1:hover::after,
#btn-ek2kSn6QKlkzo7X14dkG11:hover::after {
    content: "";
    position: absolute;
    inset: -2px;
    border-radius: inherit;
    background: linear-gradient(
        90deg,
        var(--sppb-charbon),
        var(--sppb-charbon-60),
        var(--sppb-charbon)
    );
    z-index: -1;
    animation: borderFlow 2s linear infinite;
    background-size: 200% 100%;
}

@keyframes borderFlow {
    to {
        background-position: 200% 0;
    }
}

/**/

.btn-blanc,
#btn-17797983632010,
#btn-jll--9xBS3pBPZeOLtRDJ2,
#btn-KtvSMMPqjUmz_BKGACVZR2 {
    font-family: 'Ancizar Sans' !important;
    font-style: italic !important;
    font-weight: 500 !important;
    font-size: 20px !important;
    color: var(--sppb-charbon) !important;
    background-color: var(--sppb-cotton) !important;
    border-radius: 999px !important;
    padding: 14px !important;
    border: none !important;
  }

.btn-blanc:hover,
#btn-17797983632010:hover,
#btn-jll--9xBS3pBPZeOLtRDJ2:hover,
#btn-KtvSMMPqjUmz_BKGACVZR2:hover {
    transform: translateY(-3px);
    box-shadow: 0 10px 30px rgba(0,0,0,.15);
    background: var(--sppb-cotton);
}

.btn-blanc:hover::after,
#btn-17797983632010:hover::after,
#btn-jll--9xBS3pBPZeOLtRDJ2:hover::after,
#btn-KtvSMMPqjUmz_BKGACVZR2:hover::after {
    content: "";
    position: absolute;
    inset: -2px;
    border-radius: inherit;
    background: linear-gradient(
        90deg,
        var(--sppb-cotton),
        var(--sppb-cotton-60),
        var(--sppb-cotton)
    );
    z-index: -1;
    animation: borderFlow 2s linear infinite;
    background-size: 200% 100%;
}

/**/

.btn-vert .sppb-btn,
.btn-vert-focus,
#btn-17797983632011,
#btn-mdBuEOzzjLIvm224gO3z10,
#btn-jll--9xBS3pBPZeOLtRDJ0,
#btn-KtvSMMPqjUmz_BKGACVZR0,
#btn-ek2kSn6QKlkzo7X14dkG10 {
    font-family: 'Ancizar Sans' !important;
    font-style: italic !important;
    font-weight: 500 !important;
    font-size: 20px !important;
    color: var(--sppb-cotton) !important;
    background-color: var(--sppb-lichen) !important;
    border-radius: 999px !important;
    padding: 14px !important;
    border: none !important;
  }

.btn-vert .sppb-btn:hover,
.btn-vert-focus:hover,
#btn-17797983632011:hover,
#btn-mdBuEOzzjLIvm224gO3z10:hover,
#btn-jll--9xBS3pBPZeOLtRDJ0:hover,
#btn-KtvSMMPqjUmz_BKGACVZR0:hover,
#btn-ek2kSn6QKlkzo7X14dkG10:hover{
    transform: translateY(-3px);
    box-shadow: 0 10px 30px rgba(0,0,0,.15);
    background: var(--sppb-lichen);
}

.btn-vert .sppb-btn:hover::after,
.btn-vert-focus:hover::after,
#btn-17797983632011:hover::after,
#btn-mdBuEOzzjLIvm224gO3z10:hover::after,
#btn-jll--9xBS3pBPZeOLtRDJ0:hover::after,
#btn-KtvSMMPqjUmz_BKGACVZR0:hover::after,
#btn-ek2kSn6QKlkzo7X14dkG10:hover::after{
    content: "";
    position: absolute;
    inset: -2px;
    border-radius: inherit;
    background: linear-gradient(
        90deg,
        var(--sppb-lichen),
        var(--sppb-lichen-60),
        var(--sppb-lichen)
    );
    z-index: -1;
    animation: borderFlow 2s linear infinite;
    background-size: 200% 100%;
}

/***** ajustements de la structure native du template cassiopeia : ne pas modifier les classes ci-dessous sauf si nécessaire *****/

p {
  margin-bottom: 0px !important;
}

body {
    overflow-x: hidden !important;
}

a {
  text-decoration: none !important;
}

.site-grid {
  margin-bottom: 0px !important;
}

.container-component>*+* {
  margin-top: 0em !important;
}

body.wrapper-fluid .site-grid {
  grid-gap: 0em !important;
}

#system-message-container joomla-alert {
    width: 50% !important;
    margin: 0 auto !important;
}

.site.error_site .container-component>:first-child {
  margin-top: 0 !important;
}

/***** ajustements de structure pour les pages, composants et liens de menus qui ne sont PAS de type PAGE BUILDER *****/

main div#jmap_sitemap,
div.com-content-category-blog.blog,
div.com-content-article.item-page,
div.com-content-category.category-list,
div.item-page.page-blog-submit,
div.com-users-profile__edit,
.page-blog-submit div.edit.item-page {
  width: 100%;
  margin-left: auto;
  margin-right: auto;
  padding: 50px 15px 50px 15px;
}

@media (min-width: 1400px) {
  main div#jmap_sitemap,
  div.com-content-category-blog.blog,
  div.com-content-article.item-page,
  div.com-content-category.category-list,
  div.item-page.page-blog-submit,
  div.com-users-profile__edit,
  .page-blog-submit div.edit.item-page {
    max-width: 1320px;
  }
  
}

@media (max-width: 1200px) {
  main div#jmap_sitemap,
  div.com-content-category-blog.blog,
  div.com-content-article.item-page,
  div.com-content-category.category-list,
  div.item-page.page-blog-submit,
  div.com-users-profile__edit,
  .page-blog-submit div.edit.item-page {
    max-width: 1140px;
  }
}

@media (max-width: 992px) {
  main div#jmap_sitemap,
  div.com-content-category-blog.blog,
  div.com-content-article.item-page,
  div.com-content-category.category-list,
  div.item-page.page-blog-submit,
  div.com-users-profile__edit,
  .page-blog-submit div.edit.item-page {
    max-width: 960px;
  }
}

@media (max-width: 768px) {
  main div#jmap_sitemap,
  div.com-content-category-blog.blog,
  div.com-content-article.item-page,
  div.com-content-category.category-list,
  div.item-page.page-blog-submit,
  div.com-users-profile__edit,
  .page-blog-submit div.edit.item-page {
    max-width: 720px;
  }
}

@media (max-width: 576px) {
  main div#jmap_sitemap,
  div.com-content-category-blog.blog,
  div.com-content-article.item-page,
  div.com-content-category.category-list,
  div.item-page.page-blog-submit,
  div.com-users-profile__edit,
  .page-blog-submit div.edit.item-page {
    max-width: 540px;
  }
}

/***** mon espace : ne pas modifier les classes ci-dessous sauf si nécessaire *****/

div.com-users-login,
.page-monespace-login .mod-login,
.page-monespace-login-reset form,
.page-monespace-password-reset form {
  margin: 0 auto !important;
  padding: 50px 15px 50px 15px;
}

@media (max-width: 767px){
  div.com-users-login,
  .page-monespace-login .mod-login,
  .page-monespace-login-reset form,
  .page-monespace-password-reset form {
    width: 90%;
  }
}

@media (min-width: 768px){
  div.com-users-login,
  .page-monespace-login .mod-login,
  .page-monespace-login-reset form,
  .page-monespace-password-reset form {
    width: 60%;
  }
}

@media (min-width: 991px){
  div.com-users-login,
  .page-monespace-login .mod-login,
  .page-monespace-login-reset form,
  .page-monespace-password-reset form {
    width: 50%;
  }
}

@media (min-width: 1199px){
  div.com-users-login,
  .page-monespace-login .mod-login,
  .page-monespace-login-reset form,
  .page-monespace-password-reset form {
    width: 40%;
  }
}

.page-monespace-login .btn-primary {
  background-color: var(--btn-bg);
  color: var(--btncolor);
}

.page-monespace-login .btn-primary:hover {
  background-color: var(--btn-hover-bg);
  color: var(--btn-hover-color);
}

.page-monespace-login-reset legend,
.page-monespace-password-reset legend {
  margin-bottom: 1rem !important;
}

/***** bouton d'édition des pages du page builder : ne pas modifier les classes ci-dessous sauf si nécessaire *****/

#sp-page-builder .sp-pagebuilder-page-edit {
  left: 20px !important;
  right: auto !important;
  z-index: 10 !important;
  background-color: #760b0b !important;
  border: 1px solid #760b0b !important;
  color: #ffffff !important;
  padding: 10px 12px !important;
}

#sp-page-builder .sp-pagebuilder-page-edit:hover {
  background-color: #ffffff !important;
  border: 1px solid #760b0b !important;
  color: #760b0b !important;
}

/***** configuration du menu PC *****/

/* espace au dessus du header sur les pages de connexion */

.page-monespace-login div.site-grid > div {
  padding-top: 150px !important;
}

.page-5 {
  padding-top: 100px !important;
}

/* mise en forme des liens du niveau 0 */

.dj-megamenu-modern li a.dj-up_a {
  font-size: 16px !important; /* ajuster ce paramètre en fonction de la taille de police souhaitée */
  font-family: Roboto !important; /* ajuster ce paramètre en fonction de la famille de police souhaitée */
  padding: 0 30px !important; /* ajuster ce paramètre en fonction de l'espacement souhaité entre les liens du menu */
}

/* paramètres du menu sticky : ajuster ces paramètres en fonction des couleurs choisies */

/* header normal collé en haut de la page  */
/*header.position-sticky {
  background-color: #000000 !important;
}*/

/* header sticky (lors du scroll vers le bas) */
/*header.position-sticky.is-stuck #section-id-1768558151746 {
  background-color: #f10000 !important; 
}*/

/***** configuration du menu mobile *****/

/* fond du menu */
#dj-megamenu123offcanvas {
  position: fixed !important;
  top: 0;
  left: 0;

  height: 100vh !important;

 overflow: visible;

  background: url('/images/fond-header.svg') left top no-repeat !important;
  background-size: 100% auto !important;
}

@media (max-width: 767.98px) {
  #dj-megamenu123offcanvas {
   overflow: auto !important;
  }
}

#dj-megamenu123offcanvas .dj-offcanvas,
#dj-megamenu123offcanvas .dj-offcanvas-light,
#dj-megamenu123offcanvas .dj-offcanvas-content {
  background: transparent !important;
}

@media(max-width:991px) {
  #dj-megamenu123offcanvas {
      width: 100vw !important;
    }
}

@media(min-width:992px) {
  #dj-megamenu123offcanvas {
      width: 50vw !important;
    }
}

/* colonne contenu */
#dj-megamenu123offcanvas .dj-offcanvas-content {
  width: auto !important

  padding-left: 20px;
  height: 100vh !important;

  position: relative;
  z-index: 2;

  display: flex;
  flex-direction: column;

  margin-left: 0 !important;
  float: none !important;

  overflow-y: auto !important;
  overflow-x: hidden !important;
}

/* =========================
   2 COLONNES AUTOMATIQUES
========================= */

#dj-megamenu123offcanvas ul.dj-mobile-nav {
  column-count: 2;
  column-gap: 0;
}

/* évite que les items se cassent entre colonnes */
#dj-megamenu123offcanvas li.dj-mobileitem {
  break-inside: avoid;
  -webkit-column-break-inside: avoid;
}

/* =========================
   scroll invisible
========================= */

#dj-megamenu123offcanvas .dj-offcanvas-content::-webkit-scrollbar {
  width: 0px !important;
}

#dj-megamenu123offcanvas .dj-offcanvas-content {
  scrollbar-width: none !important;
  -ms-overflow-style: none !important;
}

/* structure DJ */
#dj-megamenu123offcanvas .dj-offcanvas,
#dj-megamenu123offcanvas .dj-offcanvas-light {
  width: 30vw !important;
  max-width: 30vw !important;

  height: 100vh !important;
  position: relative;
  z-index: 2;
}

/* =========================
   scrollbar invisible (mais scroll actif)
========================= */

/* Chrome / Edge / Safari */
#dj-megamenu123offcanvas .dj-offcanvas-content::-webkit-scrollbar {
  width: 0px !important;
  background: transparent !important;
}

/* Firefox */
#dj-megamenu123offcanvas .dj-offcanvas-content {
  scrollbar-width: none !important;
  -ms-overflow-style: none !important;
}

#dj-megamenu123offcanvas .dj-offcanvas,
#dj-megamenu123offcanvas .dj-offcanvas-light {
  width: 30vw !important;
  max-width: 30vw !important;

  height: 100vh !important;
  position: relative;
  z-index: 2;
}

/** ajustements pour surcharger les paramètres par défaut du module qui gère le menu ***/

#dj-megamenu123offcanvas .dj-offcanvas-top {
  background: transparent !important;
  text-align: left !important;
  padding-left: 20px;
  padding-top: 20px;
}

#dj-megamenu123mobile .dj-mobile-open-btn:hover,
#dj-megamenu123mobile .dj-mobile-open-btn:focus {
  background-color: rgba(0, 0, 0, 0) !important;
}

.dj-offcanvas-logo {
  padding: 20px !important;
}

.dj-offcanvas-logo img {
  max-width: 50% !important; /* ajuster ce paramètre en fonction de la taille du logo souhaitée */
}

/*** bouton pour ouvrir le menu mobile ***/

/* désactivation de l'icone d'origine */
.dj-mobile-open-btn.dj-fa-0 .dj-mobile-open-icon:before {
  content: "" !important;
}

/* mise en forme des 3 barres du burger menu */
.dj-mobile-open-icon {
  width: auto !important;   
  height: 22px !important;
  display: flex;
  align-items: center;
  gap: 10px;
  padding-left: 30px; 
  position: relative;
  background: none !important;
}

.dj-mobile-open-icon::before {
  content: "";
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  width: 30px;
  height: 22px;
  background:
    linear-gradient(var(--sppb-charbon),var(--sppb-charbon)) 0 0 / 100% 1.5px no-repeat,
    linear-gradient(var(--sppb-charbon),var(--sppb-charbon)) 0 9px / 70% 1.5px no-repeat,
    linear-gradient(var(--sppb-charbon),var(--sppb-charbon)) 0 18px / 85% 1.5px no-repeat;
}

button.dj-mobile-open-btn.dj-fa-0{
  margin-left: 20px !important;
}

/* animation légère lors du clic sur le bouton */
.dj-mobile-open-btn:hover .dj-mobile-open-icon {
  background-position:
    2px 0,
    0 9px,
    4px 18px !important;
}

/*** bouton pour fermer le menu mobile ***/

/* désactivation de l'icone d'origine */
.dj-fa-0 .dj-offcanvas-close-btn .dj-offcanvas-close-icon:before {
  content: "" !important;
}

/* création de la structure du bouton */
.dj-offcanvas-close-icon {
  width: 30px !important;
  height: 30px !important;
  position: relative !important;
  display: inline-block !important;
  cursor: pointer !important;
}

/* mise en forme des 2 barres du bouton */
.dj-offcanvas-close-icon::before,
.dj-offcanvas-close-icon::after {
  content: "" !important;
  position: absolute !important;
  top: 50% !important;
  left: 50% !important;
  width: 30px !important;
  height: 1.5px !important;
  border-radius: 2px !important;
  background: var(--sppb-charbon) !important; 
  transform-origin: center !important;
  transition: transform 0.3s ease, background 0.3s ease !important;
}

/* animations */
.dj-offcanvas-close-icon::before {
  transform: translate(-50%, -50%) rotate(45deg) !important;
}

.dj-offcanvas-close-icon::after {
  transform: translate(-50%, -50%) rotate(-45deg) !important;
}

.dj-offcanvas-close-btn:hover .dj-offcanvas-close-icon::before,
.dj-offcanvas-close-btn:hover .dj-offcanvas-close-icon::after {
  transform: translate(-50%, -50%) rotate(135deg) !important;
}

/*** mise en forme des liens ***/

ul li.dj-mobileitem > a {
  border-top: none !important;

  font-size: 18px !important;
  font-family: 'Ancizar Sans' !important;

  padding: 10px 25px !important;
}

/* icône pour les liens de menus qui ont des sous menus */
ul.dj-mobile-light li.dj-mobileitem.parent >a span.toggler {
  padding: 10px 25px !important;
  right: -10px !important;
}

.dj-fa-0 ul.dj-mobile-light li.dj-mobileitem.parent >a span.toggler:before {
  content: "\f054" !important;
  transition: transform 0.3s ease !important;
  transform: rotate(90deg) !important;
}

.dj-fa-0 ul.dj-mobile-light li.dj-mobileitem.parent.active > a span.toggler:before {
  transform: rotate(270deg) !important;
}

/***** menu client front-end : ne pas modifier les classes ci-dessous sauf si nécessaire *****/

/* structure globale */

.box-frontend-menu-client {
  z-index: 100000 !important;
  background-color: #760b0b !important;
}

.box-frontend-menu-client li.metismenu-item::before {
  content: "\f192";
  font-family: "Font Awesome 6 Free";
  font-weight: 500;
  display: inline-block;
  margin-right: 0.5rem;
}

.box-frontend-menu-client .metismenu.mod-menu .metismenu-item {
  font-size: 1rem !important;
  color: #fff !important;
}

.box-frontend-menu-client .metismenu.mod-menu .metismenu-item>a:focus,
.box-frontend-menu-client .metismenu.mod-menu .metismenu-item>button:focus {
  outline-offset: 0px !important;
  outline: 0px solid !important;
}

.box-frontend-menu-client nav {
  margin-top: 0em !important;
  margin-bottom: 0em !important;
}

/* structure mobile */

.box-frontend-menu-client .navbar-toggler::after {
  content: "ADMIN" !important;
  padding-left: 5px !important;
  color: #ffffff !important;
}

.box-frontend-menu-client .navbar-toggler:focus {
  box-shadow: 0 0 0 0 !important;
}

/* ajustements pour les sous menus de niveau 1 */

.box-frontend-menu-client .metismenu.mod-menu .mm-collapse {
  background-color: #760b0b !important;
}

.box-frontend-menu-client .metismenu>li.level-1>ul {
  min-width: 15rem !important;
  color: #ffffff !important;
}

/***** blog natif joomla *****/

/* page qui affiche la liste de tous les articles */

.page-blog-submit div.site-grid > div > main > div > h1 {
    font-family: Ancizar Sans;
    font-weight: 700;
    font-style: italic;
    font-size: 45px;
    color: var(--sppb-lichen);
    text-align: center;
  }

.page-blog-submit .page-header * {
  display: flex;
    margin: 0 auto;
    width: fit-content;
  font-family: 'Ancizar Sans' !important;
    font-style: italic !important;
    font-weight: 500 !important;
    font-size: 35px !important;
  color: var(--sppb-lichen) !important;
}

.page-blog-submit .page-header a:hover {
  color: var(--sppb-lichen) !important;
  text-decoration-line: underline !important;
  text-decoration-color: var(--sppb-lichen) !important;
  text-decoration-thickness: 0.5px !important;
  text-underline-offset: 3px !important;
}

.com-content-category-blog__item .item-content h1, .h1 {
    font-size: 1rem !important;
  }

.page-blog-submit p.readmore {
  text-align: center;
  margin-top: 20px;
}

.page-blog-submit p.readmore a {
  font-family: 'Ancizar Sans' !important;
    font-style: italic !important;
    font-weight: 500 !important;
    font-size: 18px !important;
    color: var(--sppb-cotton) !important;
    background-color: var(--sppb-charbon) !important;
    border-radius: 999px !important;
    padding: 14px !important;
    border: none !important;
  }

.page-blog-submit p.readmore a:hover {
   transform: translateY(-3px);
    box-shadow: 0 10px 30px rgba(0,0,0,.15);
    background: var(--sppb-charbon);
}

.page-blog-submit p.readmore a:hover::after {
    content: "";
    position: absolute;
    inset: -2px;
    border-radius: inherit;
    background: linear-gradient(
        90deg,
        var(--sppb-charbon),
        var(--sppb-charbon-60),
        var(--sppb-charbon)
    );
    z-index: -1;
    animation: borderFlow 2s linear infinite;
    background-size: 200% 100%;
}

@keyframes borderFlow {
    to {
        background-position: 200% 0;
    }
}

.page-blog-submit {
  font-family: 'Ancizar Sans' !important;
}

.page-blog-submit .site-grid .container-component,
.page-blog-submit .container-component>*+* {
  margin-top: 50px !important;
}

.page-blog-submit .container-component>*+* {
  margin-bottom: 50px !important;
  }

.com-content-category-blog__item.blog-item .item-content .icons .float-end {
  float: none !important;
  margin: 15px 0 15px 0 !important;
}

@media (max-width: 767px) {
  .com-content-category-blog__navigation .com-content-category-blog__counter {
    text-align: center !important;
  }
  .com-content-category-blog__navigation .pagination {
    display: flex !important;
    justify-content: center !important;
  }
}

.page-blog-submit a > img,
.page-blog-submit figure > img {
    border-radius: 25px;
}

/* page détaillée d'un article */

.com-content-article .left.item-image img {
  max-height: 400px;
  width: auto;
}

@media (max-width: 767px) {
  .com-content-article .left.item-image img {
  max-height: 250px;
  width: auto;
}
}

.com-content-article .left.item-image {
    float: unset;
    text-align: center;
  }

.com-content-article.item-page .icons .float-end {
  float: none !important;
  margin: 15px 0 15px 0 !important;
}

/* formulaire qui permet d'ajouter un article depuis le front-end : ne pas modifier les classes ci-dessous sauf si nécessaire */

.page-blog-submit div.control-group label#jform_images_image_intro_caption-lbl,
.page-blog-submit input#jform_images_image_intro_caption,
.page-blog-submit div.control-group label#jform_images_image_fulltext_caption-lbl,
.page-blog-submit input#jform_images_image_fulltext_caption,
.page-blog-submit label#jform_images_float_intro-lbl,
.page-blog-submit input#jform_images_float_intro,
.page-blog-submit label#jform_images_float_fulltext-lbl,
.page-blog-submit input#jform_images_float_fulltext,
.page-blog-submit div.control-label label#jform_images_image_intro_alt_empty-lbl,
.page-blog-submit div.control-label label#jform_images_image_fulltext_alt_empty-lbl,
.page-blog-submit div.form-check.form-check-inline input#jform_images_image_intro_alt_empty,
.page-blog-submit div.form-check.form-check-inline input#jform_images_image_fulltext_alt_empty,
.page-blog-submit div.control-group #jform_images_image_intro_alt_empty-desc,
.page-blog-submit div.control-group #jform_images_image_fulltext_alt_empty-desc,
.page-blog-submit label#jform_urls_urla-lbl,
.page-blog-submit input#jform_urls_urla,
.page-blog-submit label#jform_urls_urlb-lbl,
.page-blog-submit input#jform_urls_urlb,
.page-blog-submit label#jform_urls_urlc-lbl,
.page-blog-submit input#jform_urls_urlc,
.page-blog-submit label#jform_urls_urlatext-lbl,
.page-blog-submit input#jform_urls_urlatext,
.page-blog-submit label#jform_urls_urlbtext-lbl,
.page-blog-submit input#jform_urls_urlbtext,
.page-blog-submit label#jform_urls_urlctext-lbl,
.page-blog-submit input#jform_urls_urlctext,
.page-blog-submit label#jform_featured-lbl,
.page-blog-submit select#jform_featured,
.page-blog-submit label#jform_created_by_alias-lbl,
.page-blog-submit input#jform_created_by_alias,
.page-blog-submit label#jform_access-lbl,
.page-blog-submit select#jform_access,
.page-blog-submit label#jform_note-lbl,
.page-blog-submit input#jform_note,
.page-blog-submit label#jform_version_note-lbl,
.page-blog-submit input#jform_version_note {
    display: none !important;
}

/***** pied de page *****/


.container-footer {
  margin-top: -40px !important;
}

.container-footer .grid-child {
  max-width: 100% !important;
  display: block !important;
  padding: 0 !important;
}

.back-to-top-link { 
  border-radius: 100px !important;
  color: var(--sppb-lichen) !important; /* ajuster ce paramètre en fonction des couleurs choisies */ 
  background-color: #ffffff !important; /* ajuster ce paramètre en fonction des couleurs choisies */ 
  border: 1px solid var(--sppb-lichen) !important; /* ajuster ce paramètre en fonction des couleurs choisies */ 
  padding: .5em !important; /* ajuster ce paramètre si nécessaire*/ 
} 
  
  .back-to-top-link:hover, 
  .back-to-top-link:focus { 
    color: #ffffff !important; /* ajuster ce paramètre en fonction des couleurs choisies */ 
    background-color: var(--sppb-lichen) !important; /* ajuster ce paramètre en fonction des couleurs choisies */ 
    border: 1px solid #ffffff !important; /* ajuster ce paramètre en fonction des couleurs choisies */ 
}

/* plan du site */
.com_jmap main {
    margin-top: 100px !important;
}